jQuery(document).ready(function()
{
	jQuery(document).on('change', '.wcam_customer_approval', wcam_check_feedback_required_status);
	jQuery(document).on('click', '.wcam-clipboard-button', wcam_copyToClipboard);
	jQuery(document).on('click', '.wcam_disclaimer_checkbox', wcam_show_downloadable_content);
	
	jQuery('.wcam_disclaimer_checkbox').prop('checked', false);
	
	//smooth scrool
	params = wcam_getUrlVars();
	if(params["wcam_view_attachments"] !== undefined)
	{
		var selector =  jQuery('#wcam-frontend-box').length ? '#wcam-frontend-box' : '#wcam-frontend-products-attachments';
		if(!jQuery(selector).length)
			selector = '#wcam-no-attachments-message';
		if(!jQuery(selector).length)
			selector = "";
		
		if(selector != "")
			document.querySelector(selector).scrollIntoView({ 
			  behavior: 'smooth' 
			});
	}
});
function wcam_show_downloadable_content(event)
{
	var id = jQuery(event.currentTarget).data('id');
	var is_checked = jQuery(event.currentTarget).prop('checked');
	
	if(is_checked)
	{
		jQuery("#wcam_disclaimer_label_"+id).fadeOut();
		//jQuery(event.currentTarget).fadeOut();
		jQuery("#wcam_disclimer_hidden_container_"+id).fadeIn();
		
		//ToDo: ajax function to flag the item as "disclaimer accepted"
		var random = Math.floor((Math.random() * 1000000) + 999);
		var formData = new FormData();
		formData.append('action', 'wcam_set_disclaimer_accepted_flag'); 	
		formData.append('order_id', jQuery(event.currentTarget).data('order-id')); 
		formData.append('file_id', id); 
		
	
		jQuery.ajax({
			url: wcam.ajax_url+"?nocache="+random,
			type: 'POST',
			data: formData,
			async: true,
			success: function (data) 
			{
				
			},
			error: function (data) 
			{
				//console.log(data);
				//alert("Error: "+data);
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
	}
	//NOT LONGER USED
	else
		jQuery("#wcam_disclimer_hidden_container_"+id).fadeOut();
}
function wcam_check_feedback_required_status(event)
{
	var id = jQuery(event.currentTarget).data('id');
	var selected_approval_value = jQuery(event.currentTarget).val();
	var feedback_textfield = jQuery('#wcam-feedback-textfield-'+id);
	var feedback_textfield_strategy = feedback_textfield.data('required-strategy');

	if(feedback_textfield_strategy == 'always' || feedback_textfield_strategy == 'never')
		return false;
	
	switch(feedback_textfield_strategy)
	{
		case 'only_yes': if(selected_approval_value == 'yes') feedback_textfield.prop('required', true); else feedback_textfield.prop('required', false); break;
		case 'only_no': if(selected_approval_value == 'no') feedback_textfield.prop('required', true); else feedback_textfield.prop('required', false); break;
	}
}
function wcam_copyToClipboard(event) 
{
	var file_url = jQuery(event.currentTarget).data('file-url');
	window.prompt(wcam_copy_to_clipboard_text, file_url);
	return false;
}
function wcam_getUrlVars() {
    var vars = {};
    var parts = window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
        vars[key] = value;
    });
    return vars;
}